Oracle Primavera Gateway (2021 年 1 月 CPU)

high Nessus Plugin ID 145223
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端主機受到多個弱點影響

描述

遠端主機上安裝的測試產品版本比測試版本舊。因此,會受到 2021 年 1 月 CPU 公告中所提及的多個弱點影響。

- Oracle Construction and Engineering 的 Primavera Gateway 產品中的弱點 (元件:Admin (Apache Ant))。受影響的支援版本是 16.2.0-16.2.11 和 17.12.0-17.12.9。此弱點可輕易攻擊成功,能夠透過 HTTP 存取網路的未經驗證攻擊者可藉以入侵 Primavera Gateway。若攻擊成功,可導致未經授權建立、刪除或修改重要資料或所有可供存取之 Primavera Gateway 資料。(CVE-2020-11979)

- Oracle Construction and Engineering 的 Primavera Gateway 產品中的弱點 (元件:Admin (Spring Framework))。受影響的支援版本是 16.2.0-16.2.11、17.12.0-17.12.9、18.8.0-18.8.10 和 19.12.0-19.12.10。攻擊此弱點有一定的技術難度,能夠透過 HTTP 存取網路的低權限攻擊者可藉此入侵 Primavera Gateway。若要成功攻擊,必須有攻擊者以外之他人的互動,且雖然弱點位於 Primavera Gateway 中,但攻擊可能對其他產品造成重大影響。若攻擊成功,未經授權便能建立、刪除或修改關鍵資料或 Primavera Gateway 的所有可存取資料,並且未經授權便可讀取 Primavera Gateway 的某些可存取資料。
(CVE-2020-5421)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

按照 2021 年 1 月 Oracle 重要修補程式更新公告,套用適當的修補程式。

另請參閱

https://www.oracle.com/a/tech/docs/cpujan2021cvrf.xml

https://www.oracle.com/security-alerts/cpujan2021.html

Plugin 詳細資訊

嚴重性: High

ID: 145223

檔案名稱: oracle_primavera_gateway_cpu_jan_2021.nasl

版本: 1.4

類型: remote

系列: CGI abuses

已發布: 2021/1/20

已更新: 2021/1/29

相依性: oracle_primavera_gateway.nbin

風險資訊

CVSS 評分資料來源: CVE-2020-11979

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 5

時間分數: 3.7

媒介: AV:N/AC:L/Au:N/C:N/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: High

基本分數: 7.5

時間分數: 6.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/a:oracle:primavera_gateway

必要的 KB 項目: installed_sw/Oracle Primavera Gateway

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2021/1/19

弱點發布日期: 2021/1/19

參考資訊

CVE: CVE-2020-5421, CVE-2020-11979